Download report
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/well-architected-frameworks/{wellArchitectedFrameworkId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/well-architected-frameworks/{wellArchitectedFrameworkId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/integrations/{integrationId}/well-architected-frameworks/{wellArchitectedFrameworkId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "<string>"
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Forbidden"
}{
"message": "Not found"
}{
"message": "Internal server error"
}Download a well-architected framework report for an integration in a tenant
Use the download well-architected framework API to obtain a pre-signed URL for downloading a well-architected framework summary report for an integration within the tenant. This URL will be valid for 1 hour. To download the report, use curl or any other tool of your choice.
GET
/
v1
/
tenant
/
integrations
/
{integrationId}
/
well-architected-frameworks
/
{wellArchitectedFrameworkId}
/
download
Download report
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
application/json
Path Parameters
UUID of the integration to get.
ID of the Well-Architected framework to get. This can be retrieved using the List Well-Architected frameworks API.
Response
Pre-signed URL to download a Well-Architected framework summary report
Show child attributes
Show child attributes
Was this page helpful?